Bug 71462 - New port: net/sixxs-aiccu ipv6 TIC+ tunnel broker
Summary: New port: net/sixxs-aiccu ipv6 TIC+ tunnel broker
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Stolz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-07 14:30 UTC by Meno Abels
Modified: 2005-03-14 17:53 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (15.23 KB, text/plain)
2004-09-07 14:30 UTC, Meno Abels
no flags Details
file.dat (4.40 KB, text/enriched; charset=US-ASCII)
2005-02-16 21:49 UTC, Meno Abels
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Meno Abels 2004-09-07 14:30:27 UTC
	This is the TIC+ heartbeart client for the public dynamic-IPv4
	IPv6 tunnel beta test from the SixXS tunnel service provider.

	WWW: http://www.sixxs.net/tools/aiccu/

How-To-Repeat: 	
	not applied change request
Comment 1 Meno Abels 2005-02-16 21:49:44 UTC
This gnats entry was outdated during the long work queue @ freebsd. So i
updated it to the current version.

This is not sixxes-heartbeat it is the next generation implentation of
an ipv6 tunnel broker protocol.

thanks in advance

meno

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	net/sixxs-aiccu
#	net/sixxs-aiccu/files
#	net/sixxs-aiccu/files/sixxs-aiccu.sh
#	net/sixxs-aiccu/Makefile
#	net/sixxs-aiccu/distinfo
#	net/sixxs-aiccu/pkg-descr
#	net/sixxs-aiccu/pkg-plist
#
echo c - net/sixxs-aiccu
mkdir -p net/sixxs-aiccu > /dev/null 2>&1
echo c - net/sixxs-aiccu/files
mkdir -p net/sixxs-aiccu/files > /dev/null 2>&1
echo x - net/sixxs-aiccu/files/sixxs-aiccu.sh
sed 's/^X//' >net/sixxs-aiccu/files/sixxs-aiccu.sh << 
'END-of-net/sixxs-aiccu/files/sixxs-aiccu.sh'
X#!/bin/sh
X#
X# $FreeBSD$
X#
X
X# PROVIDE: sixxs-aiccu
X# REQUIRE: NETWORKING
X# KEYWORD: FreeBSD
X
X#
X# Add the following lines to /etc/rc.conf to enable sixxs-aiccu:
X#
X#sixxs_aiccu_enable="YES"
X#
X
X. %%RC_SUBR%%
X
Xname=sixxs_aiccu
Xrcvar=`set_rcvar`
X
Xcommand="%%PREFIX%%/sbin/sixxs-aiccu start"
Xcommand_args=%%PREFIX%%/etc/aiccu.conf
Xstop_cmd="%%PREFIX%%/sbin/sixxs-aiccu stop"
Xrequired_files=%%PREFIX%%/etc/aiccu.conf
X
X# set default
Xsixxs_aiccu_enable=${sixxs_aiccu_enable:-"NO"}
X
Xload_rc_config ${name}
Xrun_rc_command "$1"
END-of-net/sixxs-aiccu/files/sixxs-aiccu.sh
echo x - net/sixxs-aiccu/Makefile
sed 's/^X//' >net/sixxs-aiccu/Makefile << 
'END-of-net/sixxs-aiccu/Makefile'
X# New ports collection makefile for:   sixxs-aiccu
X# Date created:                2004-09-07
X# Whom:                        Meno Abels <meno.abels@adviser.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	sixxs-aiccu
XPORTVERSION=	20050131
XPORTREVISION=	1
XCATEGORIES=	net ipv6
XMASTER_SITES=	http://www.sixxs.net/archive/sixxs/aiccu/unix/
XDISTNAME=	aiccu_2005.01.31
X
XMAINTAINER=	meno.abels@adviser.com
XCOMMENT=	SixXS IPv6 TIC+ tunnel broker heartbeat client
X
XUSE_RC_SUBR=	yes
XUSE_GMAKE=	yes
XWRKSRC=		${WRKDIR}/aiccu
X
Xpre-build:
X	@${SED} -e 's:%%PREFIX%%:${PREFIX}:g' \
X		-e 's:%%RC_SUBR%%:${RC_SUBR}:g' \
X		${FILESDIR}/sixxs-aiccu.sh >${WRKDIR}/sixxs-aiccu.sh
X	@${SED} \
X		-e 's:verbose true:verbose false:' \
X		-e 's:daemonize false:daemonize true:' \
X		-e 's:automatic false:automatic true:' \
X		-e 's:tunnel_id T2995:#tunnel_id TXXXX:' \
X		-e 's:ipv4_interface eth0:ipv4_interface sis0:' \
X		-e 's:ipv6_interface sixxs:ipv6_interface gif0:' \
X		${WRKSRC}/doc/aiccu.conf > ${WRKDIR}/aiccu.conf
X
Xdo-install:
X	@${MKDIR} ${DOCSDIR} ${EXAMPLESDIR}
X	${INSTALL_PROGRAM} ${WRKSRC}/unix-console/aiccu 
${PREFIX}/sbin/sixxs-aiccu
X	${INSTALL_DATA} ${WRKSRC}/doc/README ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/doc/aiccu.conf ${EXAMPLESDIR}
X	${INSTALL_DATA} ${WRKDIR}/aiccu.conf ${PREFIX}/etc/aiccu.conf.sample
X	${INSTALL_SCRIPT} ${WRKDIR}/sixxs-aiccu.sh ${PREFIX}/etc/rc.d
X
Xpost-install:
X	if [ \! -f ${PREFIX}/etc/aiccu.conf ]; then \
X		${MV} ${PREFIX}/etc/aiccu.conf.sample 
${PREFIX}/etc/aiccu.conf.sample; \
X	fi
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} > 501100
XGIFCONFIG=	netbsd
X.else
XGIFCONFIG=	freebsd
X.endif
X
X.include <bsd.port.post.mk>
END-of-net/sixxs-aiccu/Makefile
echo x - net/sixxs-aiccu/distinfo
sed 's/^X//' >net/sixxs-aiccu/distinfo << 
'END-of-net/sixxs-aiccu/distinfo'
XMD5 (aiccu_2005.01.31.tar.gz) = 7c3da5feab3d59fb5a99a45203e0ca56
XSIZE (aiccu_2005.01.31.tar.gz) = 45672
END-of-net/sixxs-aiccu/distinfo
echo x - net/sixxs-aiccu/pkg-descr
sed 's/^X//' >net/sixxs-aiccu/pkg-descr << 
'END-of-net/sixxs-aiccu/pkg-descr'
XThis is the TIC+ heartbeart client for the public dynamic-IPv4
XIPv6 tunnel beta test from the SixXS tunnel service provider.
X
XWWW: http://www.sixxs.net/tools/aiccu/
END-of-net/sixxs-aiccu/pkg-descr
echo x - net/sixxs-aiccu/pkg-plist
sed 's/^X//' >net/sixxs-aiccu/pkg-plist << 
'END-of-net/sixxs-aiccu/pkg-plist'
X@comment $FreeBSD$
Xetc/rc.d/sixxs-aiccu.sh
Xetc/aiccu.conf.sample
Xsbin/sixxs-aiccu
X%%DOCSDIR%%/README
X%%EXAMPLESDIR%%/aiccu.conf
X@dirrm %%EXAMPLESDIR%%
X@dirrm %%DOCSDIR%%
END-of-net/sixxs-aiccu/pkg-plist
exit
Comment 2 Volker Stolz freebsd_committer 2005-02-17 12:44:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

I'm working on this
Comment 3 Volker Stolz freebsd_committer 2005-03-14 17:53:30 UTC
State Changed
From-To: open->closed

Committed with modifications as discussed. Thanks for your submission!